> ## Documentation Index
> Fetch the complete documentation index at: https://docs.socialvision.tisyk.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Seedance 视频接口参考

> Seedance 2.0 视频生成模型接口

## 取消任务

`DELETE /api/v3/contents/generations/tasks/{task_id}`

取消指定 task\_id 的 Seedance 视频生成任务。

### 请求参数 (Query / Path)

<ParamField path="task_id" type="string" required>
  异步任务 ID
</ParamField>

### 请求示例 (cURL)

```bash theme={null}
curl -X DELETE "https://socialvision.tisyk.xyz/api/v3/contents/generations/tasks/{task_id}" \
  -H "Authorization: Bearer sk-YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

### 响应示例 (200 OK)

```json theme={null}
{
  "code": 0,
  "data": {
    "status": "succeed"
  },
  "message": "success"
}
```

***

## 查询单个任务

`GET /api/v3/contents/generations/tasks/{task_id}`

根据 task\_id 查询单个 Seedance 视频生成任务状态与结果。

### 请求参数 (Query / Path)

<ParamField path="task_id" type="string" required>
  异步任务 ID
</ParamField>

### 请求示例 (cURL)

```bash theme={null}
curl "https://socialvision.tisyk.xyz/api/v3/contents/generations/tasks/{task_id}" \
  -H "Authorization: Bearer sk-YOUR_API_KEY"
```

### 响应示例 (200 OK)

```json theme={null}
{
  "code": 0,
  "data": {
    "status": "succeed"
  },
  "message": "success"
}
```

***

## 查询任务列表

`GET /api/v3/contents/generations/tasks`

分页查询任务列表。

### 请求参数 (Query / Path)

<ParamField query="page_size" type="integer">
  每页条数
</ParamField>

### 请求示例 (cURL)

```bash theme={null}
curl "https://socialvision.tisyk.xyz/api/v3/contents/generations/tasks" \
  -H "Authorization: Bearer sk-YOUR_API_KEY"
```

### 响应示例 (200 OK)

```json theme={null}
{
  "code": 0,
  "data": {
    "status": "succeed"
  },
  "message": "success"
}
```

***

## 查询任务

`GET /v1/video/generations/{task_id}`

### 请求参数 (Query / Path)

<ParamField path="task_id" type="string" required>
  异步任务 ID
</ParamField>

### 请求示例 (cURL)

```bash theme={null}
curl "https://socialvision.tisyk.xyz/v1/video/generations/{task_id}" \
  -H "Authorization: Bearer sk-YOUR_API_KEY"
```

### 响应示例 (200 OK)

```json theme={null}
{
  "code": 0,
  "data": {
    "status": "succeed"
  },
  "message": "success"
}
```

***

## 创建视频生成任务

`POST /api/v3/contents/generations/tasks`

提交 Seedance/豆包视频生成任务。

### 请求体参数 (Body)

<ParamField body="callback_url" type="string">
  任务完成回调 URL
</ParamField>

<ParamField body="content" type="array" required>
  文本/图片内容数组
</ParamField>

<ParamField body="model" type="string" required>
  模型名称
</ParamField>

### 请求示例 (JSON)

```json theme={null}
{
  "content": [
    {
      "text": "一只猫在草地上奔跑",
      "type": "text"
    }
  ],
  "model": "doubao-seedance-2-0-260128"
}
```

### 请求示例 (cURL)

```bash theme={null}
curl -X POST "https://socialvision.tisyk.xyz/api/v3/contents/generations/tasks" \
  -H "Authorization: Bearer sk-YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "content": [
    {
      "text": "一只猫在草地上奔跑",
      "type": "text"
    }
  ],
  "model": "doubao-seedance-2-0-260128"
}'
```

### 响应示例 (200 OK)

```json theme={null}
{
  "code": 0,
  "data": {
    "task_id": "task_example_001"
  },
  "message": "success"
}
```

***


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.